label {
  color: var(--label-color);
}

.step-list-element {
  background-color: var(--container-background-color);
  border-radius: 5px;
  min-height: 40px;
  margin-top: 5px;
  margin-bottom: 5px;
  border-bottom: 1px solid var(--container-border-color);
  border-top: 1px solid var(--container-border-color);
  border-right: 1px solid var(--container-border-color);
}

.file-is-over {
  border-left: solid 5px var(--current-workspace-main-color) !important;
  border-top: solid 1px var(--current-workspace-main-color);
  border-right: solid 1px var(--current-workspace-main-color);
  border-bottom: solid 1px var(--current-workspace-main-color);
}

.index-column {
  width: 35px;
  justify-content: center;
  align-items: center;
}

.index-typography {
  user-select: none;
  font-size: 20px;
  font-weight: 600;
  color: var(--label-color);
}

.standard-execution-step-main-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 120px;
  grid-template-rows: auto;
  grid-row-gap: 15px;
  grid-column-gap: 10px;
  grid-template-areas: 'header-action header-result' 'action result';

  &.collapsed {
    grid-row-gap: 0;
  }
}

.other-execution-step-main-grid {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto;
  grid-row-gap: 15px;
  grid-template-areas: 'header-action' 'action';

  &.collapsed {
    grid-row-gap: 0;
  }
}

.header-color {
  font-size: 12px;
  text-transform: uppercase;
  font-weight: 600;
  color: var(--label-color);
}

.header-action {
  grid-area: header-action;
}

.header-collapsed {
  display: flex;
  overflow: hidden;
  padding-top: 5px;
}

// has to make all this stuff to force ellipsis on p tag in innerHTML generated by CkEditor.
// Angular seems to consider that [innerHTML] content is out of actual component css scope, so ::ng-deep is mandatory
.header-collapsed-rich-text {
  max-height: 21px;
  alignment-baseline: baseline;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;

  ::ng-deep p {
    max-height: 21px;
    text-overflow: ellipsis;
    overflow: hidden;
  }
}

.header-result {
  grid-area: header-result;
}

.action {
  grid-area: action;
}

.result {
  grid-area: result;
  margin-right: 10px;
}

.custom-fields {
  display: grid;
  grid-template-columns: 15% 1fr;
  grid-template-rows: auto;
  grid-column-gap: 10px;
  grid-row-gap: 8px;
  align-items: center;
}

.block-border {
  border-left: 2px solid var(--container-border-color);
}
